C1DParallelRange Class Reference

`#include <mia/core/parallelcxx11.hh>`

## Public Member Functions

int | begin () const
| C1DParallelRange (const C1DParallelRange &orig)
| C1DParallelRange (int begin, int end, int block=1)
bool | empty () const
int | end () const
C1DParallelRange | get_next_workpackage ()

## Detailed Description

Definition at line 83 of file parallelcxx11.hh.

## Constructor & Destructor Documentation

## C1DParallelRange() [1/2]

C1DParallelRange::C1DParallelRange | ( | int | begin,
|  | int | end,
|  | int | block = 1 )

inline

Definition at line 86 of file parallelcxx11.hh.

References begin(), and end().

Referenced by C1DParallelRange(), and get_next_workpackage().

## C1DParallelRange() [2/2]

C1DParallelRange::C1DParallelRange | ( | const C1DParallelRange & | orig | ) |

inline

Definition at line 95 of file parallelcxx11.hh.

References C1DParallelRange().

## Member Function Documentation

## begin()

int C1DParallelRange::begin | ( |  | ) | const

inline

Definition at line 125 of file parallelcxx11.hh.

Referenced by C1DParallelRange(), and get_next_workpackage().

## empty()

bool C1DParallelRange::empty | ( |  | ) | const

inline

Definition at line 120 of file parallelcxx11.hh.

## end()

int C1DParallelRange::end | ( |  | ) | const

inline

Definition at line 130 of file parallelcxx11.hh.

Referenced by C1DParallelRange(), and get_next_workpackage().

## get_next_workpackage()

C1DParallelRange C1DParallelRange::get_next_workpackage | ( |  | ) |

inline

Definition at line 103 of file parallelcxx11.hh.

References begin(), C1DParallelRange(), and end().

The documentation for this class was generated from the following file:

- parallelcxx11.hh